(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import { connect } from 'react-redux';
// Also, set up the drag and drop context
import { DragDropContext } from 'react-dnd';
import HTML5Backend from 'react-dnd-html5-backend';
import SplitPane from 'react-split-pane';
import { withRouter } from 'react-router';

import { Tooltip, ActivateTooltip } from '../tooltip';

import LeftPane from './LeftPane';
import RightPane from './RightPane';

var Content = function Content(props) {
  return React.createElement(
    'div',
    { className: 'content' },
    React.createElement(
      SplitPane,
      {
        split: 'horizontal',
        primary: 'second',
        allowResize: props.displayTooltip,
        minSize: props.displayTooltip ? 80 : 30,
        maxSize: -400,
        defaultSize: props.displayTooltip ? "10%" : 30,
        className: !props.displayTooltip ? 'SplitPane--tooltip-fixed' : ''
      },
      React.createElement(
        SplitPane,
        {
          split: 'vertical',
          minSize: 350,
          maxSize: -420,
          defaultSize: '50%'
        },
        React.createElement(LeftPane, { activeTab: props.leftPaneActiveTab }),
        React.createElement(RightPane, { activeTab: props.rightPaneActiveTab, tabs: props.rightPaneTabs })
      ),
      props.displayTooltip ? React.createElement(Tooltip, null) : React.createElement(ActivateTooltip, null)
    )
  );
};

var mapStateToProps = function mapStateToProps(state, ownProps) {
  return {
    leftPaneActiveTab: state.panes.left.activeTab,
    rightPaneActiveTab: state.panes.right.activeTab,
    rightPaneTabs: state.panes.right.tabs,
    displayTooltip: state.tooltip.displayTooltip
  };
};

var ConnectedContent = connect(mapStateToProps)(Content);

var _default = withRouter(DragDropContext(HTML5Backend)(ConnectedContent));

export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(Content, 'Content', '/home/travis/build/bakdata/conquery/frontend/lib/js/app/Content.js');
  reactHotLoader.register(mapStateToProps, 'mapStateToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/app/Content.js');
  reactHotLoader.register(ConnectedContent, 'ConnectedContent', '/home/travis/build/bakdata/conquery/frontend/lib/js/app/Content.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/app/Content.js');
  leaveModule(module);
})();

;