(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import { Route } from 'react-router';

import { Pane } from '../pane';
import { CategoryTreeList, CategoryTreeSearchBox } from '../category-trees';
import { DatasetSelector } from '../dataset';
import { DeletePreviousQueryModal } from '../previous-queries/delete-modal';
import { PreviousQueriesSearchBox } from '../previous-queries/search';
import { PreviousQueriesFilter } from '../previous-queries/filter';
import { PreviousQueriesContainer } from '../previous-queries/list';
import { UploadQueryResults } from '../previous-queries/upload';
import { templates } from '../routes';

var LeftPane = function LeftPane(props) {
  return React.createElement(Route, { path: templates.toDataset, children: function children(_ref) {
      var match = _ref.match;

      var selectedDatasetId = match && match.params ? match.params.datasetId : null;

      return React.createElement(
        Pane,
        { type: 'left' },
        React.createElement(DatasetSelector, { selectedDatasetId: selectedDatasetId }),
        props.activeTab === 'categoryTrees' && React.createElement(CategoryTreeSearchBox, { datasetId: selectedDatasetId }),
        React.createElement(CategoryTreeList, null),
        props.activeTab === 'previousQueries' && [React.createElement(PreviousQueriesFilter, { key: 0 }), React.createElement(PreviousQueriesSearchBox, { key: 1, isMulti: true }), React.createElement(UploadQueryResults, { datasetId: selectedDatasetId, key: 2 }), React.createElement(PreviousQueriesContainer, { datasetId: selectedDatasetId, key: 3 }), React.createElement(DeletePreviousQueryModal, { datasetId: selectedDatasetId, key: 4 })]
      );
    } });
};

var _default = LeftPane;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(LeftPane, 'LeftPane', '/home/travis/build/bakdata/conquery/frontend/lib/js/app/LeftPane.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/app/LeftPane.js');
  leaveModule(module);
})();

;