var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

// Action structure is compliant with FSA: https://github.com/acdlite/flux-standard-action
// in case the action returns an object
//
// In the second case, an action can be a function that is processed by redux-thunk
// to support asynchronous calls, e.g. API calls.

import * as genericActions from '../common/actions';
import * as categoryTreeActions from '../category-trees/actions';
import * as datasetSelectorActions from '../dataset/actions';
import * as queryGroupModalActions from '../query-group-modal/actions';
import * as additionalInfosActions from '../tooltip/actions';
import * as paneActions from '../pane/actions';
import * as previousQueriesActions from '../previous-queries/list/actions';
import * as previousQueriesSearchActions from '../previous-queries/search/actions';
import * as previousQueriesFilterActions from '../previous-queries/filter/actions';
import * as deletePreviousQueryModalActions from '../previous-queries/delete-modal/actions';
import * as timebasedQueryEditorActions from '../timebased-query-editor/actions';
import * as queryEditorActions from '../standard-query-editor/actions';

import createQueryRunnerActions from '../query-runner/actions';

var standardQueryRunnerActions = createQueryRunnerActions('standard');
var timebasedQueryRunnerActions = createQueryRunnerActions('timebased');

var _default = _extends({}, genericActions, categoryTreeActions, queryEditorActions, standardQueryRunnerActions, timebasedQueryRunnerActions, datasetSelectorActions, queryGroupModalActions, additionalInfosActions, paneActions, previousQueriesActions, previousQueriesSearchActions, previousQueriesFilterActions, deletePreviousQueryModalActions, timebasedQueryEditorActions);

export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(standardQueryRunnerActions, 'standardQueryRunnerActions', '/home/travis/build/bakdata/conquery/frontend/lib/js/app/actions.js');
  reactHotLoader.register(timebasedQueryRunnerActions, 'timebasedQueryRunnerActions', '/home/travis/build/bakdata/conquery/frontend/lib/js/app/actions.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/app/actions.js');
  leaveModule(module);
})();

;