var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import T from 'i18n-react';

import { ErrorMessage } from '../error-message';


import CategoryTreeNode from './CategoryTreeNode';
import './reducer';

var CategoryTree = function CategoryTree(props) {
  if (props.loading) return React.createElement(
    'p',
    { className: 'category-tree-list__loading-tree' },
    React.createElement(
      'span',
      { className: 'category-tree-list__loading-tree__spinner' },
      React.createElement('i', { className: 'fa fa-spinner' })
    ),
    React.createElement(
      'span',
      null,
      T.translate('categoryTreeList.loading', { tree: props.label })
    )
  );else if (props.error) return React.createElement(ErrorMessage, {
    className: 'category-tree-list__error-tree',
    message: T.translate('categoryTreeList.error', { tree: props.label })
  });else if (props.tree) return React.createElement(
    'div',
    { className: 'category-tree' },
    React.createElement(CategoryTreeNode, {
      id: props.id,
      data: _extends({}, props.tree, { tree: props.treeId }),
      depth: props.depth,
      search: props.search
    })
  );else return null;
};

var _default = CategoryTree;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(CategoryTree, 'CategoryTree', '/home/travis/build/bakdata/conquery/frontend/lib/js/category-trees/CategoryTree.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/category-trees/CategoryTree.js');
  leaveModule(module);
})();

;