var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import { connect } from 'react-redux';

import { getConceptById } from './globalTreeStoreHelper';
import './reducer';
import CategoryTree from './CategoryTree';
import CategoryTreeFolder from './CategoryTreeFolder';
import { isInSearchResult } from './selectors';

var CategoryTreeList = function (_React$Component) {
  _inherits(CategoryTreeList, _React$Component);

  function CategoryTreeList() {
    _classCallCheck(this, CategoryTreeList);

    return _possibleConstructorReturn(this, (CategoryTreeList.__proto__ || Object.getPrototypeOf(CategoryTreeList)).apply(this, arguments));
  }

  _createClass(CategoryTreeList, [{
    key: 'shouldComponentUpdate',
    value: function shouldComponentUpdate(nextProps, nextState) {
      return nextProps.search.updateComponent;
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var search = this.props.search;

      var searching = search && search.searching;
      return !search.loading && React.createElement(
        'div',
        { className: 'category-tree-list', style: {
            // Only hide the category trees when the tab is not selected
            // Because mount / unmount would reset the open states
            // that are React states and not part of the Redux state
            // because if they were part of Redux state, the entire tree
            // would have to re-render when a single node would be opened
            //
            // Also: Can't set it to initial, because IE11 doesn't work then
            // => Empty string instead
            display: this.props.activeTab !== 'categoryTrees' ? 'none' : ''
          } },
        Object.keys(this.props.trees)
        // Only take those that don't have a parent, they must be root
        .filter(function (treeId) {
          return !_this2.props.trees[treeId].parent;
        }).map(function (treeId, i) {
          var tree = _this2.props.trees[treeId];
          var rootConcept = getConceptById(treeId);

          var render = searching ? isInSearchResult(treeId, tree.children, search) : true;

          if (!render) return null;

          return tree.detailsAvailable ? React.createElement(CategoryTree, {
            key: i,
            id: treeId,
            label: tree.label,
            tree: rootConcept,
            treeId: treeId,
            loading: !!tree.loading,
            error: tree.error,
            depth: 0,
            search: _this2.props.search
          }) : React.createElement(CategoryTreeFolder, {
            key: i,
            trees: _this2.props.trees,
            tree: tree,
            treeId: treeId,
            depth: 0,
            active: tree.active,
            openInitially: true,
            search: _this2.props.search
          });
        })
      );
    }
  }, {
    key: '__reactstandin__regenerateByEval',
    value: function __reactstandin__regenerateByEval(key, code) {
      this[key] = eval(code);
    }
  }]);

  return CategoryTreeList;
}(React.Component);

var mapStateToProps = function mapStateToProps(state) {
  return {
    trees: state.categoryTrees.trees,
    activeTab: state.panes.left.activeTab,
    search: state.categoryTrees.search
  };
};

var _default = connect(mapStateToProps)(CategoryTreeList);

export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(CategoryTreeList, 'CategoryTreeList', '/home/travis/build/bakdata/conquery/frontend/lib/js/category-trees/CategoryTreeList.js');
  reactHotLoader.register(mapStateToProps, 'mapStateToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/category-trees/CategoryTreeList.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/category-trees/CategoryTreeList.js');
  leaveModule(module);
})();

;