var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';

import '../common/types/backend';
import '../standard-query-editor/types';

import { getConceptById } from './globalTreeStoreHelper';
import Openable from './Openable';
import CategoryTreeNodeTextContainer from './CategoryTreeNodeTextContainer';
import { isInSearchResult } from './selectors';

// Concept data that is necessary to display tree nodes. Includes additional infos
// for the tooltip as well as the id of the corresponding tree


var selectTreeNodeData = function selectTreeNodeData(concept, tree) {
  return {
    label: concept.label,
    description: concept.description,
    active: concept.active,
    matchingEntries: concept.matchingEntries,
    dateRange: concept.dateRange,
    additionalInfos: concept.additionalInfos,
    children: concept.children,

    tree: tree
  };
};

var CategoryTreeNode = function (_React$Component) {
  _inherits(CategoryTreeNode, _React$Component);

  function CategoryTreeNode() {
    _classCallCheck(this, CategoryTreeNode);

    return _possibleConstructorReturn(this, (CategoryTreeNode.__proto__ || Object.getPrototypeOf(CategoryTreeNode)).apply(this, arguments));
  }

  _createClass(CategoryTreeNode, [{
    key: '_onToggleOpen',
    value: function _onToggleOpen() {
      if (!this.props.data.children) return;

      this.props.onToggleOpen();
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          id = _props.id,
          data = _props.data,
          depth = _props.depth,
          open = _props.open,
          search = _props.search;

      var searching = search && search.searching;

      var render = searching ? isInSearchResult(id, data.children, search) : true;

      return render && React.createElement(
        'div',
        { className: 'category-tree-node' },
        React.createElement(CategoryTreeNodeTextContainer, {
          node: {
            id: id,
            label: data.label,
            description: data.description,
            matchingEntries: data.matchingEntries,
            dateRange: data.dateRange,
            additionalInfos: data.additionalInfos,
            hasChildren: !!data.children && data.children.length > 0

          },
          createQueryElement: function createQueryElement() {
            var tables = getConceptById(data.tree).tables;
            return {
              ids: [id],
              label: data.label,
              tables: tables,
              tree: data.tree
            };
          },
          open: open,
          depth: depth,
          active: data.active,
          onTextClick: this._onToggleOpen.bind(this),
          search: search
        }),
        !!data.children && (open || searching) && React.createElement(
          'div',
          { className: 'category-tree-node__children' },
          data.children.map(function (childId, i) {
            var child = getConceptById(childId);

            return child ? React.createElement(OpenableCategoryTreeNode, {
              key: i,
              id: childId,
              data: selectTreeNodeData(child, data.tree),
              depth: _this2.props.depth + 1,
              search: _this2.props.search
            }) : null;
          })
        )
      );
    }
  }, {
    key: '__reactstandin__regenerateByEval',
    value: function __reactstandin__regenerateByEval(key, code) {
      this[key] = eval(code);
    }
  }]);

  return CategoryTreeNode;
}(React.Component);

;

var OpenableCategoryTreeNode = Openable(CategoryTreeNode);

var _default = OpenableCategoryTreeNode;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(selectTreeNodeData, 'selectTreeNodeData', '/home/travis/build/bakdata/conquery/frontend/lib/js/category-trees/CategoryTreeNode.js');
  reactHotLoader.register(CategoryTreeNode, 'CategoryTreeNode', '/home/travis/build/bakdata/conquery/frontend/lib/js/category-trees/CategoryTreeNode.js');
  reactHotLoader.register(OpenableCategoryTreeNode, 'OpenableCategoryTreeNode', '/home/travis/build/bakdata/conquery/frontend/lib/js/category-trees/CategoryTreeNode.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/category-trees/CategoryTreeNode.js');
  leaveModule(module);
})();

;