(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import { connect } from 'react-redux';
import { SearchBox } from '../form-components';
import { searchTrees, changeSearchQuery, clearSearchQuery } from './actions';

var mapStateToProps = function mapStateToProps(state) {
  return {
    searchResult: state.categoryTrees.search,
    onSearch: state.onSearch,
    searchConfig: state.startup.config.search ? state.startup.config.search : {}
  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    onSearch: function onSearch(datasetId, query, limit) {
      return dispatch(searchTrees(datasetId, query, limit));
    },
    onChange: function onChange(query) {
      return dispatch(changeSearchQuery(query));
    },
    onClearQuery: function onClearQuery() {
      return dispatch(clearSearchQuery());
    }
  };
};

var _default = connect(mapStateToProps, mapDispatchToProps)(SearchBox);

export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(mapStateToProps, 'mapStateToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/category-trees/CategoryTreeSearchBox.js');
  reactHotLoader.register(mapDispatchToProps, 'mapDispatchToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/category-trees/CategoryTreeSearchBox.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/category-trees/CategoryTreeSearchBox.js');
  leaveModule(module);
})();

;