(function () {
    var enterModule = require('react-hot-loader').enterModule;

    enterModule && enterModule(module);
})();

import { difference } from 'lodash';

import '../common/types/backend';
import './reducer';

var isSearchResultInChildren = function isSearchResultInChildren(children, search) {
    if (!search || !search.result || !children) return false;
    var result = search.result;

    for (var i = 0; i < result.length; i++) {
        var ids = result[i].split('.');
        for (var j = 0; j < children.length; j++) {
            var childIds = children[j].split('.');

            if (difference(childIds, ids).length === 0) return true;
        }
    }
    return false;
};

export var isInSearchResult = function isInSearchResult(id, children, search) {
    if (!search || !search.result) return false;
    var result = search.result;

    if (result.includes(id)) return true;

    if (children && children.length > 0) return isSearchResultInChildren(children, search);

    return false;
};
;

(function () {
    var reactHotLoader = require('react-hot-loader').default;

    var leaveModule = require('react-hot-loader').leaveModule;

    if (!reactHotLoader) {
        return;
    }

    reactHotLoader.register(isSearchResultInChildren, 'isSearchResultInChildren', '/home/travis/build/bakdata/conquery/frontend/lib/js/category-trees/selectors.js');
    reactHotLoader.register(isInSearchResult, 'isInSearchResult', '/home/travis/build/bakdata/conquery/frontend/lib/js/category-trees/selectors.js');
    leaveModule(module);
})();

;