var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

export var isEmpty = function isEmpty(variable) {
  return typeof variable === 'undefined' || variable === null || variable === "" || variable instanceof Array && variable.length === 0 || variable.constructor === Object && Object.keys(variable).length === 0;
};

export var isEmptyObject = function isEmptyObject(variable) {
  if (!variable) return false;

  return variable.constructor === Object && (Object.keys(variable).length === 0 || Object.keys(variable).length > 0 && Object.keys(variable).every(function (k) {
    return typeof variable[k] === 'undefined';
  }));
};

export var stripObject = function stripObject(obj) {
  return Object.keys(obj).reduce(function (acc, k) {
    return _extends({}, acc, _defineProperty({}, k, isEmpty(obj[k]) || isEmptyObject(obj[k]) ? undefined : obj[k]));
  }, {});
};

export var includes = function includes(array, element) {
  return array.indexOf(element) !== -1;
};

export var numberToThreeDigitArray = function numberToThreeDigitArray(number) {
  // Input: 10       Output: [10]
  // Input: 1234     Output: [1, 234]
  // Input: 24521280 Output: [23, 521, 280]
  //
  // Taken from:
  // http://stackoverflow.com/questions/2901102/
  // how-to-print-a-number-with-commas-as-thousands-separators-in-javascript
  return number.toString().replace(/\B(?=(\d{3})+(?!\d))/g, " ").split(' ');
};

export var capitalize = function capitalize(str) {
  return str.charAt(0).toUpperCase() + str.slice(1);
};

export var toUpperCaseUnderscore = function toUpperCaseUnderscore(str) {
  if (str.toUpperCase() === str) return str;

  return str.replace(/[A-Z]/g, function (upperCaseChar) {
    return '_' + upperCaseChar.toLowerCase();
  }).toUpperCase();
};

export var isObject = function isObject(item) {
  return item && (typeof item === 'undefined' ? 'undefined' : _typeof(item)) === 'object' && !Array.isArray(item);
};

export var mergeDeep = function mergeDeep() {
  for (var _len = arguments.length, elements = Array(_len), _key = 0; _key < _len; _key++) {
    elements[_key] = arguments[_key];
  }

  return elements.filter(isObject).reduce(function (aggregate, current) {
    var nonObjectKeys = Object.keys(current).filter(function (key) {
      return !isObject(current[key]);
    });
    var objectKeys = Object.keys(current).filter(function (key) {
      return isObject(current[key]);
    });
    var newKeys = objectKeys.filter(function (key) {
      return !(key in aggregate);
    });
    var mergeKeys = objectKeys.filter(function (key) {
      return key in aggregate;
    });

    return Object.assign.apply(Object, [{}, aggregate].concat(_toConsumableArray(nonObjectKeys.map(function (key) {
      return _defineProperty({}, key, current[key]);
    })), _toConsumableArray(newKeys.map(function (key) {
      return _defineProperty({}, key, current[key]);
    })), _toConsumableArray(mergeKeys.map(function (key) {
      return _defineProperty({}, key, mergeDeep(aggregate[key], current[key]));
    }))));
  }, {});
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(isEmpty, 'isEmpty', '/home/travis/build/bakdata/conquery/frontend/lib/js/common/helpers/commonHelper.js');
  reactHotLoader.register(isEmptyObject, 'isEmptyObject', '/home/travis/build/bakdata/conquery/frontend/lib/js/common/helpers/commonHelper.js');
  reactHotLoader.register(stripObject, 'stripObject', '/home/travis/build/bakdata/conquery/frontend/lib/js/common/helpers/commonHelper.js');
  reactHotLoader.register(includes, 'includes', '/home/travis/build/bakdata/conquery/frontend/lib/js/common/helpers/commonHelper.js');
  reactHotLoader.register(numberToThreeDigitArray, 'numberToThreeDigitArray', '/home/travis/build/bakdata/conquery/frontend/lib/js/common/helpers/commonHelper.js');
  reactHotLoader.register(capitalize, 'capitalize', '/home/travis/build/bakdata/conquery/frontend/lib/js/common/helpers/commonHelper.js');
  reactHotLoader.register(toUpperCaseUnderscore, 'toUpperCaseUnderscore', '/home/travis/build/bakdata/conquery/frontend/lib/js/common/helpers/commonHelper.js');
  reactHotLoader.register(isObject, 'isObject', '/home/travis/build/bakdata/conquery/frontend/lib/js/common/helpers/commonHelper.js');
  reactHotLoader.register(mergeDeep, 'mergeDeep', '/home/travis/build/bakdata/conquery/frontend/lib/js/common/helpers/commonHelper.js');
  leaveModule(module);
})();

;