(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import moment from "moment";

export var formatDate = function formatDate(dateString) {
  return moment(dateString).format(moment.localeData().longDateFormat("L"));
};

export var duration = function duration(value, units, format) {
  return moment.duration(value, units).format(format, { trim: false });
};

var DATE_PATTERN = {
  year: /^\.(\d{4})$/,
  quarter_year: /^[q]([1-4]).(\d{4})$/,
  month_year: /^[m](1[0-2]|[1-9]).(\d{4})$/,
  date: /^\d{8}$/
};

export var specificDatePattern = function specificDatePattern(value) {
  var minDate, maxDate, year, match;
  switch (true) {
    case DATE_PATTERN.year.test(value):
      year = parseInt(DATE_PATTERN.year.exec(value)[1]);
      minDate = moment([year, 0, 1]);
      maxDate = moment([year, 11, 31]);
      break;
    case DATE_PATTERN.quarter_year.test(value):
      match = DATE_PATTERN.quarter_year.exec(value);
      var quarter = parseInt(match[1]);
      year = parseInt(match[2]);
      minDate = moment([year, 0, 1]).quarter(quarter);
      maxDate = moment([year, 0, 1]).quarter(quarter + 1).subtract(1, "day");
      break;
    case DATE_PATTERN.month_year.test(value):
      match = DATE_PATTERN.month_year.exec(value);
      var month = parseInt(match[1]);
      year = parseInt(match[2]);
      minDate = moment([year, 0, 1]).month(month - 1);
      maxDate = moment([year, 0, 1]).month(month).subtract(1, "day");
      break;
  }

  return { minDate: minDate, maxDate: maxDate };
};

export var parseDatePattern = function parseDatePattern(value, pattern) {
  if (value && DATE_PATTERN.date.test(value)) return moment(value, "DDMMYYYY");
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(formatDate, "formatDate", "/home/travis/build/bakdata/conquery/frontend/lib/js/common/helpers/dateHelper.js");
  reactHotLoader.register(duration, "duration", "/home/travis/build/bakdata/conquery/frontend/lib/js/common/helpers/dateHelper.js");
  reactHotLoader.register(DATE_PATTERN, "DATE_PATTERN", "/home/travis/build/bakdata/conquery/frontend/lib/js/common/helpers/dateHelper.js");
  reactHotLoader.register(specificDatePattern, "specificDatePattern", "/home/travis/build/bakdata/conquery/frontend/lib/js/common/helpers/dateHelper.js");
  reactHotLoader.register(parseDatePattern, "parseDatePattern", "/home/travis/build/bakdata/conquery/frontend/lib/js/common/helpers/dateHelper.js");
  leaveModule(module);
})();

;