var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';

import T from 'i18n-react';
import Select from 'react-select';
import { connect } from 'react-redux';

import { isEmpty } from '../common/helpers';

import { selectDataset as _selectDataset } from './actions';

var DatasetSelector = function DatasetSelector(props) {
  var selectedDatasetId = props.selectedDatasetId,
      datasets = props.datasets,
      selectDataset = props.selectDataset,
      error = props.error;

  var options = datasets && datasets.map(function (db) {
    return { value: db.id, label: db.label };
  });
  var selected = options.filter(function (set) {
    return selectedDatasetId === set.value;
  });
  return React.createElement(
    'div',
    { className: 'dataset-selector' },
    React.createElement(Select, {
      name: 'dataset-selector',
      value: error ? -1 : selected,
      onChange: function onChange(value) {
        return !isEmpty(value) ? selectDataset(value.value, selectedDatasetId) : selectDataset(null, selectedDatasetId);
      },
      placeholder: T.translate('reactSelect.placeholder'),
      isDisabled: !!error,
      options: error ? [{
        value: -1,
        label: T.translate('datasetSelector.error')
      }] : options
    })
  );
};

var mapStateToProps = function mapStateToProps(state) {
  return {
    datasets: state.datasets.data,
    error: state.datasets.error,
    query: state.panes.right.tabs.queryEditor.query
  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    selectDataset: function selectDataset(datasets, datasetId, previouslySelectedDatasetId, query) {
      return dispatch(_selectDataset(datasets, datasetId, previouslySelectedDatasetId, query));
    }
  };
};

var mergeProps = function mergeProps(stateProps, dispatchProps, ownProps) {
  return _extends({}, ownProps, stateProps, dispatchProps, {
    selectDataset: function selectDataset(datasetId, selectedDatasetId) {
      return dispatchProps.selectDataset(stateProps.datasets, datasetId, selectedDatasetId, stateProps.query);
    }
  });
};

var _default = connect(mapStateToProps, mapDispatchToProps, mergeProps)(DatasetSelector);

export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(DatasetSelector, 'DatasetSelector', '/home/travis/build/bakdata/conquery/frontend/lib/js/dataset/DatasetSelector.js');
  reactHotLoader.register(mapStateToProps, 'mapStateToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/dataset/DatasetSelector.js');
  reactHotLoader.register(mapDispatchToProps, 'mapDispatchToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/dataset/DatasetSelector.js');
  reactHotLoader.register(mergeProps, 'mergeProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/dataset/DatasetSelector.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/dataset/DatasetSelector.js');
  leaveModule(module);
})();

;