var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

import { LOAD_DATASETS_START, LOAD_DATASETS_SUCCESS, LOAD_DATASETS_ERROR, SAVE_QUERY } from './actionTypes';

var initialState = {
  loading: false,
  error: null,
  data: []
};

var saveQuery = function saveQuery(state, action) {
  var _action$payload = action.payload,
      query = _action$payload.query,
      previouslySelectedDatasetId = _action$payload.previouslySelectedDatasetId;


  if (!query || query.length === 0) return state;

  var selectedDataset = state.data.find(function (db) {
    return db.id === previouslySelectedDatasetId;
  });

  if (!selectedDataset) return state;

  var selectedDatasetIdx = state.data.indexOf(selectedDataset);

  // Save query next to the dataset - so it can be reloaded again
  return _extends({}, state, {
    data: [].concat(_toConsumableArray(state.data.slice(0, selectedDatasetIdx)), [_extends({}, state.data[selectedDatasetIdx], {
      query: query
    })], _toConsumableArray(state.data.slice(selectedDatasetIdx + 1)))
  });
};

var datasets = function datasets() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments[1];

  switch (action.type) {
    // To start a query
    case LOAD_DATASETS_START:
      return _extends({}, state, { loading: true });
    case LOAD_DATASETS_SUCCESS:
      return _extends({}, state, { loading: false, data: action.payload.data });
    case LOAD_DATASETS_ERROR:
      return _extends({}, state, { loading: false, error: action.payload.message });
    case SAVE_QUERY:
      return saveQuery(state, action);
    default:
      return state;
  }
};

var _default = datasets;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(initialState, 'initialState', '/home/travis/build/bakdata/conquery/frontend/lib/js/dataset/reducer.js');
  reactHotLoader.register(saveQuery, 'saveQuery', '/home/travis/build/bakdata/conquery/frontend/lib/js/dataset/reducer.js');
  reactHotLoader.register(datasets, 'datasets', '/home/travis/build/bakdata/conquery/frontend/lib/js/dataset/reducer.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/dataset/reducer.js');
  leaveModule(module);
})();

;