var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import T from 'i18n-react';
import NumberFormat from 'react-number-format';
import { Decimal } from 'decimal.js';

import { isEmpty } from '../common/helpers';
import { MONEY_RANGE } from './filterTypes';

var ClearableInput = function ClearableInput(props) {
  var _ref = props.inputProps || {},
      currency = _ref.currency,
      pattern = _ref.pattern;

  var handleKeyPress = function handleKeyPress(event) {
    if (!pattern) return;

    var regex = new RegExp(pattern);
    var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
    if (!regex.test(key)) {
      event.preventDefault();
      return false;
    }
  };

  return React.createElement(
    'span',
    { className: 'clearable-input' },
    props.valueType === MONEY_RANGE ? React.createElement(NumberFormat, _extends({
      prefix: currency.prefix || '',
      thousandSeparator: currency.thousandSeparator || '',
      decimalSeparator: currency.decimalSeparator || '',
      decimalScale: currency.decimalScale || '',
      className: 'clearable-input__input',
      placeholder: props.placeholder,
      type: props.inputType,
      onValueChange: function onValueChange(values) {
        var formattedValue = values.formattedValue,
            floatValue = values.floatValue;

        var parsed = new Decimal(floatValue).mul(currency.factor || 0);

        props.onChange(parsed, formattedValue);
      },
      value: props.formattedValue
    }, props.inputProps)) : React.createElement('input', _extends({
      className: 'clearable-input__input',
      placeholder: props.placeholder,
      type: props.inputType,
      onChange: function onChange(e) {
        return props.onChange(e.target.value);
      },
      onKeyPress: function onKeyPress(e) {
        return handleKeyPress(e);
      },
      value: props.value
    }, props.inputProps)),
    !isEmpty(props.value) && React.createElement(
      'span',
      {
        className: 'clearable-input__clear-zone',
        title: T.translate('common.clearValue'),
        'aria-label': T.translate('common.clearValue'),
        onClick: function onClick() {
          return props.onChange(null);
        }
      },
      '\xD7'
    )
  );
};

var _default = ClearableInput;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(ClearableInput, 'ClearableInput', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/ClearableInput.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/ClearableInput.js');
  leaveModule(module);
})();

;