var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import T from 'i18n-react';
import Select, { components } from 'react-select';
import 'redux-form';
import Dropzone from 'react-dropzone';
import Markdown from 'react-markdown';
import Mustache from 'mustache';
import classnames from 'classnames';
import ReactTooltip from 'react-tooltip';

import '../common/types/backend';
import { isEmpty } from '../common/helpers';
import InfoTooltip from '../tooltip/InfoTooltip';

var InputMultiSelect = function InputMultiSelect(props) {
  var allowDropFile = props.allowDropFile && !!props.onDropFiles;

  var MultiValueLabel = function MultiValueLabel(params) {
    var label = params.data.optionLabel || params.data.label || params.data;
    var valueLabel = params.data.templateValues ? Mustache.render(label, params.data.templateValues) : label;
    return React.createElement(
      components.MultiValueLabel,
      params,
      React.createElement(
        'span',
        { 'data-tip': valueLabel },
        valueLabel
      ),
      React.createElement(ReactTooltip, { type: 'info', place: 'top', effect: 'solid' })
    );
  };

  var options = props.options && props.options.slice(0, 50).map(function (option) {
    return _extends({}, option, {
      label: option.optionValue && option.templateValues ? Mustache.render(option.optionValue, option.templateValues) : option.label,
      value: '' + option.value, // convert number to string
      optionLabel: option.label
    });
  });

  return React.createElement(
    'label',
    { className: classnames('input', {
        'input--value-changed': !isEmpty(props.input.value) && props.input.value !== props.input.defaultValue
      }) },
    React.createElement(
      'p',
      { className: classnames('input-label', {
          'input-label--disabled': !!props.disabled
        }) },
      props.label,
      props.tooltip && React.createElement(InfoTooltip, { text: props.tooltip })
    ),
    React.createElement(
      Dropzone,
      {
        disableClick: true,
        style: { position: "relative", display: "block", maxWidth: "300px" },
        activeClassName: allowDropFile ? 'dropzone--over' : '',
        className: allowDropFile ? 'dropzone' : '',
        onDrop: props.onDropFiles,
        disabled: !allowDropFile
      },
      React.createElement(Select, {
        name: 'form-field',
        options: options,
        components: { MultiValueLabel: MultiValueLabel },
        value: props.input.value,
        onChange: function onChange(value) {
          return props.input.onChange(value);
        },
        isDisabled: props.disabled,
        isMulti: true,
        placeholder: allowDropFile ? T.translate('reactSelect.dndPlaceholder') : T.translate('reactSelect.placeholder'),
        noOptionsMessage: function noOptionsMessage() {
          return T.translate('reactSelect.noResults');
        },
        onInputChange: props.onInputChange || function (value) {
          return value;
        },
        isLoading: !!props.isLoading,
        classNamePrefix: 'react-select',
        closeMenuOnSelect: false,
        formatOptionLabel: function formatOptionLabel(_ref) {
          var label = _ref.label,
              optionValue = _ref.optionValue,
              templateValues = _ref.templateValues,
              highlight = _ref.highlight;
          return optionValue && templateValues ? React.createElement(Markdown, { source: Mustache.render(optionValue, templateValues) }) : label;
        },
        filterOption: false
      })
    )
  );
};

var _default = InputMultiSelect;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(InputMultiSelect, 'InputMultiSelect', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/InputMultiSelect.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/InputMultiSelect.js');
  leaveModule(module);
})();

;