(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import classnames from 'classnames';
import 'redux-form';

import { isEmpty } from '../common/helpers';

import ClearableInput from './ClearableInput';

var InputWithLabel = function InputWithLabel(props) {
  return React.createElement(
    'label',
    { className: classnames(props.className, 'input', {
        'input--value-changed': !isEmpty(props.input.value) && props.input.value !== props.input.defaultValue,
        'input--full-width': !!props.fullWidth
      }) },
    React.createElement(
      'span',
      { className: classnames("input-label", {
          "input-label--tiny": !!props.tinyLabel
        }) },
      props.label
    ),
    React.createElement(ClearableInput, {
      inputType: props.inputType,
      valueType: props.valueType,
      placeholder: props.placeholder,
      value: props.input.value || "",
      formattedValue: props.input.formattedValue || "",
      onChange: props.input.onChange,
      inputProps: props.inputProps
    })
  );
};

var _default = InputWithLabel;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(InputWithLabel, 'InputWithLabel', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/InputWithLabel.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/InputWithLabel.js');
  leaveModule(module);
})();

;