(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import PropTypes from 'prop-types';
import classnames from 'classnames';

var VerticalToggleButton = function VerticalToggleButton(props) {
  return React.createElement(
    'p',
    { className: 'vertical-toggle-button' },
    props.options.map(function (_ref, i) {
      var value = _ref.value,
          label = _ref.label;
      return React.createElement(
        'span',
        {
          key: i,
          className: classnames('vertical-toggle-button__option', {
            'vertical-toggle-button__option--active': props.activeValue === value
          }),
          onClick: function onClick() {
            if (value !== props.activeValue) props.onToggle(value);
          }
        },
        label
      );
    })
  );
};

VerticalToggleButton.propTypes = {
  onToggle: PropTypes.func.isRequired,
  activeValue: PropTypes.string.isRequired,
  options: PropTypes.arrayOf(PropTypes.shape({
    label: PropTypes.string,
    value: PropTypes.string
  })).isRequired
};

var _default = VerticalToggleButton;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(VerticalToggleButton, 'VerticalToggleButton', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/VerticalToggleButton.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/VerticalToggleButton.js');
  leaveModule(module);
})();

;