(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import 'babel-polyfill';

import './fixEdge';

import React from 'react';
import ReactDOM from 'react-dom';
import createHistory from 'history/createBrowserHistory';

import './app/actions'; //  To initialize parameterized actions
import { makeStore } from './store';
import AppRoot from './AppRoot';

import { initializeEnvironment, basename } from './environment';

require('es6-promise').polyfill();

require('font-awesome-webpack');

// TODO: OG image required?
// require('../../images/og.png');
// Required for isomophic-fetch

var store = void 0;
var browserHistory = void 0;
var initialState = {};

// Render the App including Hot Module Replacement
var renderRoot = function renderRoot(tabs) {
  browserHistory = browserHistory || createHistory({
    basename: basename()
  });
  store = store || makeStore(initialState, browserHistory, tabs);

  ReactDOM.render(React.createElement(AppRoot, { store: store, browserHistory: browserHistory, tabs: tabs }), document.getElementById('root'));
};

export default function conquery(environment, tabs) {
  initializeEnvironment(environment);
  renderRoot(tabs);
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(store, 'store', '/home/travis/build/bakdata/conquery/frontend/lib/js/index.js');
  reactHotLoader.register(browserHistory, 'browserHistory', '/home/travis/build/bakdata/conquery/frontend/lib/js/index.js');
  reactHotLoader.register(initialState, 'initialState', '/home/travis/build/bakdata/conquery/frontend/lib/js/index.js');
  reactHotLoader.register(renderRoot, 'renderRoot', '/home/travis/build/bakdata/conquery/frontend/lib/js/index.js');
  reactHotLoader.register(conquery, 'conquery', '/home/travis/build/bakdata/conquery/frontend/lib/js/index.js');
  leaveModule(module);
})();

;