var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import PropTypes from 'prop-types';
import T from 'i18n-react';
import { connect } from 'react-redux';

import { Modal } from '../../modal';
import { deletePreviousQuery } from '../list/actions';
import { deletePreviousQueryModalClose } from './actions';

var DeletePreviousQueryModal = function DeletePreviousQueryModal(props) {
  return !!props.queryId && React.createElement(
    Modal,
    { closeModal: props.onCloseModal },
    React.createElement(
      'div',
      { className: 'delete-previous-query-modal' },
      React.createElement(
        'h3',
        { className: 'delete-previous-query-modal__headline' },
        T.translate('deletePreviousQueryModal.areYouSure')
      ),
      React.createElement(
        'button',
        {
          className: 'delete-previous-query-modal__btn btn btn--transparent',
          onClick: props.onCloseModal
        },
        T.translate('common.cancel')
      ),
      React.createElement(
        'button',
        {
          className: 'delete-previous-query-modal__btn btn btn--primary',
          onClick: props.onDeletePreviousQuery
        },
        T.translate('common.delete')
      )
    )
  );
};

DeletePreviousQueryModal.propTypes = {
  queryId: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
  onCloseModal: PropTypes.func.isRequired,
  onDeletePreviousQuery: PropTypes.func.isRequired
};

var mapStateToProps = function mapStateToProps(state) {
  return {
    queryId: state.deletePreviousQueryModal.queryId
  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    onCloseModal: function onCloseModal() {
      return dispatch(deletePreviousQueryModalClose());
    },
    onDeletePreviousQuery: function onDeletePreviousQuery(datasetId, queryId) {
      dispatch(deletePreviousQueryModalClose());
      dispatch(deletePreviousQuery(datasetId, queryId));
    }
  };
};

var mergeProps = function mergeProps(stateProps, dispatchProps, ownProps) {
  return _extends({}, stateProps, dispatchProps, ownProps, {
    onDeletePreviousQuery: function onDeletePreviousQuery() {
      return dispatchProps.onDeletePreviousQuery(ownProps.datasetId, stateProps.queryId);
    }
  });
};

var _default = connect(mapStateToProps, mapDispatchToProps, mergeProps)(DeletePreviousQueryModal);

export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(DeletePreviousQueryModal, 'DeletePreviousQueryModal', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/delete-modal/DeletePreviousQueryModal.js');
  reactHotLoader.register(mapStateToProps, 'mapStateToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/delete-modal/DeletePreviousQueryModal.js');
  reactHotLoader.register(mapDispatchToProps, 'mapDispatchToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/delete-modal/DeletePreviousQueryModal.js');
  reactHotLoader.register(mergeProps, 'mergeProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/delete-modal/DeletePreviousQueryModal.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/delete-modal/DeletePreviousQueryModal.js');
  leaveModule(module);
})();

;