var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import T from 'i18n-react';
import ReactList from 'react-list';

import { ErrorMessage } from '../../error-message';
import PreviousQuery from './PreviousQuery';

var PreviousQueries = function (_Component) {
  _inherits(PreviousQueries, _Component);

  function PreviousQueries() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, PreviousQueries);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = PreviousQueries.__proto__ || Object.getPrototypeOf(PreviousQueries)).call.apply(_ref, [this].concat(args))), _this), _this._renderQuery = function (index, key) {
      return React.createElement(
        'div',
        { key: key, className: 'previous-query-container' },
        React.createElement(PreviousQuery, { query: _this.props.queries[index], datasetId: _this.props.datasetId })
      );
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(PreviousQueries, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.props.loadQueries();
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          loading = _props.loading,
          error = _props.error;


      return React.createElement(
        'div',
        { className: 'previous-queries' },
        error && React.createElement(ErrorMessage, {
          className: 'previous-queries__error',
          message: T.translate('previousQueries.error')
        }),
        loading && React.createElement(
          'p',
          { className: 'previous-queries__loading' },
          React.createElement(
            'span',
            { className: 'previous-queries__spinner' },
            React.createElement('i', { className: 'fa fa-spinner' })
          ),
          React.createElement(
            'span',
            null,
            T.translate('previousQueries.loading')
          )
        ),
        this.props.queries.length === 0 && !loading && !error && T.translate('previousQueries.noQueriesFound'),
        React.createElement(ReactList, {
          itemRenderer: this._renderQuery,
          length: this.props.queries.length,
          type: 'variable'
        })
      );
    }
  }, {
    key: '__reactstandin__regenerateByEval',
    value: function __reactstandin__regenerateByEval(key, code) {
      this[key] = eval(code);
    }
  }]);

  return PreviousQueries;
}(Component);

PreviousQueries.propTypes = {
  datasetId: PropTypes.string,
  queries: PropTypes.array.isRequired,
  loading: PropTypes.bool,
  error: PropTypes.string,
  loadQueries: PropTypes.func.isRequired
};
;

var _default = PreviousQueries;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(PreviousQueries, 'PreviousQueries', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/list/PreviousQueries.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/list/PreviousQueries.js');
  leaveModule(module);
})();

;