(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

var queryHasTag = function queryHasTag(query, searchTerm) {
  return !!query.tags && query.tags.some(function (tag) {
    return tag.toLowerCase().indexOf(searchTerm.toLowerCase()) !== -1;
  });
};

var queryHasLabel = function queryHasLabel(query, searchTerm) {
  return query.label && query.label.toLowerCase().indexOf(searchTerm.toLowerCase()) !== -1;
};

var queryHasId = function queryHasId(query, searchTerm) {
  return query.id.toString() === searchTerm;
};

var queryHasFilterType = function queryHasFilterType(query, filter) {
  if (filter === 'all') return true;

  // Checks query.own, query.shared or query.system
  if (query[filter]) return true;

  // Special case for a "system"-previous-query:
  // it's simply not shared and not self-created (own)
  if (filter === 'system' && !query.shared && !query.own) return true;

  return false;
};

export var selectPreviousQueries = function selectPreviousQueries(queries, search, filter) {
  if (search.length === 0 && filter === 'all') return queries;

  return queries.filter(function (query) {
    return queryHasFilterType(query, filter) && search.every(function (searchTerm) {
      return queryHasId(query, searchTerm) || queryHasLabel(query, searchTerm) || queryHasTag(query, searchTerm);
    });
  });
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(queryHasTag, 'queryHasTag', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/list/selector.js');
  reactHotLoader.register(queryHasLabel, 'queryHasLabel', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/list/selector.js');
  reactHotLoader.register(queryHasId, 'queryHasId', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/list/selector.js');
  reactHotLoader.register(queryHasFilterType, 'queryHasFilterType', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/list/selector.js');
  reactHotLoader.register(selectPreviousQueries, 'selectPreviousQueries', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/list/selector.js');
  leaveModule(module);
})();

;