(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import T from 'i18n-react';

import { connect } from 'react-redux';

import '../../dataset/reducer';

import { IconButton } from '../../button';

import UploadQueryResultsModal from './UploadQueryResultsModal';
import { openUploadModal, closeUploadModal, uploadFile } from './actions';
import './reducer';

var UploadQueryResults = function UploadQueryResults(props) {
  return React.createElement(
    'div',
    { className: 'upload-query-results' },
    React.createElement(IconButton, {
      className: 'btn--small btn--transparent',
      iconClassName: 'fa-upload',
      label: T.translate('uploadQueryResults.uploadResults'),
      onClick: props.onOpenModal
    }),
    props.isModalOpen && React.createElement(UploadQueryResultsModal, {
      onCloseModal: props.onCloseModal,
      onUploadFile: function onUploadFile(file) {
        return props.onUploadFile(props.datasetId, file);
      },
      loading: props.loading,
      success: props.success,
      error: props.error
    })
  );
};

var mapStateToProps = function mapStateToProps(state) {
  return {
    isModalOpen: state.uploadQueryResults.isModalOpen,
    loading: state.uploadQueryResults.loading,
    success: state.uploadQueryResults.success,
    error: state.uploadQueryResults.error
  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    onOpenModal: function onOpenModal() {
      return dispatch(openUploadModal());
    },
    onCloseModal: function onCloseModal() {
      return dispatch(closeUploadModal());
    },
    onUploadFile: function onUploadFile(datasetId, file) {
      return dispatch(uploadFile(datasetId, file));
    }
  };
};

var _default = connect(mapStateToProps, mapDispatchToProps)(UploadQueryResults);

export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(UploadQueryResults, 'UploadQueryResults', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/upload/UploadQueryResults.js');
  reactHotLoader.register(mapStateToProps, 'mapStateToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/upload/UploadQueryResults.js');
  reactHotLoader.register(mapDispatchToProps, 'mapDispatchToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/upload/UploadQueryResults.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/upload/UploadQueryResults.js');
  leaveModule(module);
})();

;