(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import T from 'i18n-react';
import 'redux-thunk';

import '../../dataset/reducer';

import { defaultSuccess, defaultError } from '../../common/actions';

import api from '../../api';

import { loadPreviousQueries } from '../list/actions';

import { OPEN_UPLOAD_MODAL, CLOSE_UPLOAD_MODAL, UPLOAD_FILE_START, UPLOAD_FILE_SUCCESS, UPLOAD_FILE_ERROR } from './actionTypes';

export var openUploadModal = function openUploadModal() {
  return {
    type: OPEN_UPLOAD_MODAL
  };
};

export var closeUploadModal = function closeUploadModal() {
  return {
    type: CLOSE_UPLOAD_MODAL
  };
};

export var uploadFileStart = function uploadFileStart() {
  return { type: UPLOAD_FILE_START };
};
export var uploadFileSuccess = function uploadFileSuccess(success) {
  return defaultSuccess(UPLOAD_FILE_SUCCESS, success);
};
export var uploadFileError = function uploadFileError(error, payload) {
  return defaultError(UPLOAD_FILE_ERROR, error, {
    successful: payload.successful,
    unsuccessful: payload.unsuccessful
  });
};

export var uploadFile = function uploadFile(datasetId, file) {
  return function (dispatch) {
    dispatch(uploadFileStart());

    return api.postResults(datasetId, file).then(function (r) {
      dispatch(uploadFileSuccess(r));

      return dispatch(loadPreviousQueries(datasetId));
    }, function (e) {
      return dispatch(uploadFileError({ message: T.translate('uploadQueryResultsModal.uploadFailed') }, e));
    });
  };
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(openUploadModal, 'openUploadModal', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/upload/actions.js');
  reactHotLoader.register(closeUploadModal, 'closeUploadModal', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/upload/actions.js');
  reactHotLoader.register(uploadFileStart, 'uploadFileStart', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/upload/actions.js');
  reactHotLoader.register(uploadFileSuccess, 'uploadFileSuccess', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/upload/actions.js');
  reactHotLoader.register(uploadFileError, 'uploadFileError', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/upload/actions.js');
  reactHotLoader.register(uploadFile, 'uploadFile', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/upload/actions.js');
  leaveModule(module);
})();

;