(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import T from 'i18n-react';

import { isEmpty } from '../common/helpers';


export var DescriptionColumn = function DescriptionColumn(props) {
  var node = props.node,
      editorState = props.editorState;


  var selectedTable = node.tables[editorState.selectedInputTableIdx];

  return React.createElement(
    'div',
    { className: 'query-node-editor__fixed_column query-node-editor__column' },
    React.createElement(
      'h4',
      null,
      T.translate('queryNodeEditor.description')
    ),
    React.createElement(
      'div',
      { className: 'query-node-editor__column_content' },
      React.createElement(
        'div',
        { className: 'query-node-editor__description' },
        selectedTable != null && editorState.selectedInput != null && !isEmpty(selectedTable.filters[editorState.selectedInput].description) && React.createElement(
          'span',
          null,
          selectedTable.filters[editorState.selectedInput].description
        ),
        selectedTable != null && editorState.selectedInput != null && isEmpty(selectedTable.filters[editorState.selectedInput].description) && React.createElement(
          'span',
          null,
          T.translate('queryNodeEditor.noDescriptionProvided')
        ),
        editorState.selectedInput == null && React.createElement(
          'span',
          null,
          T.translate('queryNodeEditor.selectAFilter')
        )
      )
    )
  );
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(DescriptionColumn, 'DescriptionColumn', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-node-editor/DescriptionColumn.js');
  leaveModule(module);
})();

;