(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import T from 'i18n-react';

import { DownloadButton } from '../button';

var QueryResults = function QueryResults(props) {
  if (typeof props.resultCount === 'undefined' && typeof props.resultUrl === 'undefined') return null;

  var isDownload = props.resultCount > 0 || props.resultUrl;
  return React.createElement(
    'div',
    { className: 'query-results' },
    React.createElement(
      'p',
      { className: 'query-results__text' },
      props.resultCount ? T.translate('queryRunner.resultCount', { 'count': props.resultCount }) : T.translate('queryRunner.endSuccess')
    ),
    isDownload && React.createElement(DownloadButton, {
      className: 'query-results__download-btn btn btn--small btn--primary',
      label: T.translate('queryRunner.downloadResults'),
      url: props.resultUrl
    })
  );
};

var _default = QueryResults;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(QueryResults, 'QueryResults', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-runner/QueryResults.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-runner/QueryResults.js');
  leaveModule(module);
})();

;