(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';

import QueryResults from './QueryResults';
import QueryRunningSpinner from './QueryRunningSpinner';
import QueryRunnerInfo from './QueryRunnerInfo';
import QueryRunnerButton from './QueryRunnerButton';

var QueryRunner = function QueryRunner(props) {
  var queryRunner = props.queryRunner,
      startQuery = props.startQuery,
      stopQuery = props.stopQuery,
      isQueryRunning = props.isQueryRunning,
      isButtonEnabled = props.isButtonEnabled;


  var btnAction = isQueryRunning ? stopQuery : startQuery;

  var isStartStopLoading = queryRunner.startQuery.loading || queryRunner.stopQuery.loading;

  return React.createElement(
    'div',
    { className: 'query-runner' },
    React.createElement(
      'div',
      { className: 'query-runner__left' },
      React.createElement(QueryRunnerButton, {
        onClick: btnAction,
        isStartStopLoading: isStartStopLoading,
        isQueryRunning: isQueryRunning,
        disabled: !isButtonEnabled
      })
    ),
    React.createElement(
      'div',
      { className: 'query-runner__right' },
      React.createElement(
        'div',
        { className: 'query-runner__loading-group' },
        React.createElement(QueryRunningSpinner, {
          isQueryRunning: isQueryRunning
        }),
        React.createElement(QueryRunnerInfo, {
          queryRunner: queryRunner
        })
      ),
      React.createElement(QueryResults, {
        resultCount: queryRunner.queryResult.resultCount,
        resultUrl: queryRunner.queryResult.resultUrl
      })
    )
  );
};

var _default = QueryRunner;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(QueryRunner, 'QueryRunner', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-runner/QueryRunner.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-runner/QueryRunner.js');
  leaveModule(module);
})();

;