(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import T from 'i18n-react';
import classnames from 'classnames';

// A button that is prefixed by an icon
var QueryRunnerButton = function QueryRunnerButton(_ref) {
  var onClick = _ref.onClick,
      isStartStopLoading = _ref.isStartStopLoading,
      isQueryRunning = _ref.isQueryRunning,
      disabled = _ref.disabled;

  var label = isQueryRunning ? T.translate("queryRunner.stop") : T.translate("queryRunner.start");

  var iconClassName = classnames({
    'fa-stop': !isStartStopLoading && isQueryRunning,
    'fa-play': !isStartStopLoading && !isQueryRunning,
    'fa-spinner': !!isStartStopLoading
  });

  return React.createElement(
    'button',
    {
      type: 'button',
      className: classnames("query-runner-button", {
        "query-runner-button--running": isQueryRunning
      }),
      onClick: onClick,
      disabled: disabled
    },
    React.createElement(
      'span',
      { className: 'query-runner-button__icon' },
      React.createElement('i', { className: classnames('fa', iconClassName) })
    ),
    React.createElement(
      'span',
      { className: 'query-runner-button__label' },
      label
    )
  );
};

var _default = QueryRunnerButton;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(QueryRunnerButton, 'QueryRunnerButton', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-runner/QueryRunnerButton.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-runner/QueryRunnerButton.js');
  leaveModule(module);
})();

;