(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import classnames from 'classnames';
import T from 'i18n-react';


var getMessage = function getMessage(queryRunner) {
  if (queryRunner.startQuery.error) return { type: 'error', value: T.translate("queryRunner.startError") };else if (queryRunner.stopQuery.error) return { type: 'error', value: T.translate("queryRunner.stopError") };else if (queryRunner.queryResult && queryRunner.queryResult.error) return { type: 'error', value: T.translate("queryRunner.resultError") };else if (queryRunner.startQuery.success) return { type: 'success', value: T.translate("queryRunner.startSuccess") };else if (queryRunner.stopQuery.success) return { type: 'success', value: T.translate("queryRunner.stopSuccess") };

  return null;
};

var QueryRunnerInfo = function QueryRunnerInfo(_ref) {
  var queryRunner = _ref.queryRunner;

  var message = getMessage(queryRunner);

  return message && !queryRunner.queryResult.resultUrl ? React.createElement(
    'div',
    { className: 'query-runner__info' },
    React.createElement(
      'p',
      { className: classnames('query-runner__status', 'query-runner__status--' + message.type) },
      message.value
    )
  ) : null;
};

var _default = QueryRunnerInfo;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(getMessage, 'getMessage', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-runner/QueryRunnerInfo.js');
  reactHotLoader.register(QueryRunnerInfo, 'QueryRunnerInfo', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-runner/QueryRunnerInfo.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-runner/QueryRunnerInfo.js');
  leaveModule(module);
})();

;