(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import classnames from 'classnames';
import T from 'i18n-react';
import { DropTarget } from 'react-dnd';
import { NativeTypes } from 'react-dnd-html5-backend';

import { dndTypes } from '../common/constants';


var InnerQueryEditorDropzone =
// When instantiating the QueryEditorDropzone, flow doesn't recognize that
// connectDropTarget and isOver are being injected by react-dnd :(
function InnerQueryEditorDropzone(props) {
  return props.connectDropTarget(React.createElement(
    'div',
    { className: classnames('query-editor-dropzone', {
        'query-editor-dropzone--initial': props.isInitial,
        'query-editor-dropzone--and': props.isAnd
      }) },
    React.createElement(
      'div',
      { className: classnames('dropzone', {
          'dropzone--over': props.isOver
        }) },
      React.createElement(
        'p',
        { className: 'dropzone__text' },
        props.isInitial ? T.translate('dropzone.dragElementPlease') : T.translate('dropzone.dragElementPleaseShort')
      )
    )
  ));
};

var dropzoneTarget = {
  drop: function drop(props, monitor) {
    var item = monitor.getItem();

    if (item.files) {
      props.onDropFiles(item);
    } else {
      props.onDropNode(item);
      if (item.isPreviousQuery) props.onLoadPreviousQuery(item.id);
    }
  }
};

var collect = function collect(connect, monitor) {
  return {
    connectDropTarget: connect.dropTarget(),
    isOver: monitor.isOver()
  };
};

export var QueryEditorDropzone = DropTarget([dndTypes.CATEGORY_TREE_NODE, dndTypes.QUERY_NODE, dndTypes.PREVIOUS_QUERY, NativeTypes.FILE], dropzoneTarget, collect)(InnerQueryEditorDropzone);
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(InnerQueryEditorDropzone, 'InnerQueryEditorDropzone', '/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/QueryEditorDropzone.js');
  reactHotLoader.register(dropzoneTarget, 'dropzoneTarget', '/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/QueryEditorDropzone.js');
  reactHotLoader.register(collect, 'collect', '/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/QueryEditorDropzone.js');
  reactHotLoader.register(QueryEditorDropzone, 'QueryEditorDropzone', '/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/QueryEditorDropzone.js');
  leaveModule(module);
})();

;