(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import T from 'i18n-react';

import '../model/node';

import { QueryEditorDropzone } from './QueryEditorDropzone';
import QueryNode from './QueryNode';
import QueryGroupActions from './QueryGroupActions';


var QueryGroup = function QueryGroup(props) {
  var dateActiveClass = props.group.dateRange ? 'query-group__action--active' : '';
  var excludeActiveClass = props.group.exclude ? 'query-group__action--active' : '';
  var groupExcludeActiveClass = props.group.exclude ? 'query-group__group--active' : '';

  return React.createElement(
    'div',
    { className: 'query-group' },
    React.createElement(QueryEditorDropzone, {
      key: props.group.elements.length + 1,
      onDropNode: props.onDropNode,
      onDropFiles: props.onDropFiles,
      onLoadPreviousQuery: props.onLoadPreviousQuery
    }),
    React.createElement(
      'p',
      { className: 'query-or-connector' },
      T.translate('common.or')
    ),
    React.createElement(
      'div',
      { className: 'query-group__group ' + groupExcludeActiveClass },
      React.createElement(QueryGroupActions, {
        excludeActiveClass: excludeActiveClass,
        dateActiveClass: dateActiveClass,
        onExcludeClick: props.onExcludeClick,
        onDeleteGroup: props.onDeleteGroup,
        onDateClick: props.onDateClick
      }),
      props.group.elements.map(function (node, orIdx) {
        return [React.createElement(QueryNode, {
          key: orIdx,
          node: node,
          andIdx: props.andIdx,
          orIdx: orIdx,
          onDeleteNode: function onDeleteNode() {
            return props.onDeleteNode(orIdx);
          },
          onFilterClick: function onFilterClick() {
            return props.onFilterClick(orIdx);
          },
          onExpandClick: props.onExpandClick
        }), orIdx !== props.group.elements.length - 1 ? React.createElement(
          'p',
          { className: 'query-or-connector' },
          T.translate('common.or')
        ) : '' // Render last OR outside of this frame
        ];
      })
    )
  );
};

var _default = QueryGroup;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(QueryGroup, 'QueryGroup', '/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/QueryGroup.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/QueryGroup.js');
  leaveModule(module);
})();

;