(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import T from 'i18n-react';
import classnames from 'classnames';
import { CloseIconButton } from '../button';

var QueryNodeActions = function QueryNodeActions(props) {
  var base = "query-node-actions";

  return React.createElement(
    'div',
    { className: '' + base },
    !props.error && React.createElement(
      'div',
      { className: base + '--left' },
      !props.previousQueryLoading && React.createElement(
        'span',
        {
          onClick: props.onFilterClick,
          className: classnames('btn--icon', base + '__action', _defineProperty({}, base + '__action--active', props.hasActiveFilters))
        },
        React.createElement('i', {
          className: 'fa fa-sliders'
        }),
        ' ',
        T.translate('queryEditor.filter')
      ),
      !!props.previousQueryLoading && React.createElement(
        'span',
        { className: base + '__loading' },
        React.createElement('i', { className: 'fa fa-spinner' }),
        ' ',
        T.translate('queryEditor.loadingPreviousQuery')
      ),
      props.isExpandable && !props.previousQueryLoading && React.createElement(
        'span',
        {
          onClick: props.onExpandClick,
          className: 'btn--icon ' + base + '__action'
        },
        React.createElement('i', { className: 'fa fa-expand' }),
        ' ',
        T.translate('queryEditor.expand')
      )
    ),
    React.createElement(
      'div',
      { className: base + '--right' },
      React.createElement(CloseIconButton, {
        className: base + '__action',
        onClick: props.onDeleteNode
      })
    )
  );
};

var _default = QueryNodeActions;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(QueryNodeActions, 'QueryNodeActions', '/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/QueryNodeActions.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/QueryNodeActions.js');
  leaveModule(module);
})();

;