var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

import React from 'react';

import { createConnectedQueryNodeEditor } from '../query-node-editor';
import { hasConceptChildren } from '../category-trees/globalTreeStoreHelper';

import { deselectNode, updateNodeLabel, addConceptToNode, removeConceptFromNode, toggleTable, setFilterValue, switchFilterMode, resetAllFilters, toggleTimestamps, loadFilterSuggestions, onDropFiles as _onDropFiles, toggleIncludeSubnodes } from './actions';

var findNodeBeingEdited = function findNodeBeingEdited(query) {
  return query.reduce(function (acc, group) {
    return [].concat(_toConsumableArray(acc), _toConsumableArray(group.elements));
  }, []).find(function (element) {
    return element.isEditing;
  });
};

var mapStateToProps = function mapStateToProps(state) {
  var node = findNodeBeingEdited(state.panes.right.tabs.queryEditor.query);

  var showTables = node && node.tables && (node.tables.length > 1 || node.tables.some(function (table) {
    return table.filters && table.filters.length > 0;
  }));

  return {
    node: node,
    editorState: state.queryNodeEditor,
    showTables: showTables,
    isExcludeTimestampsPossible: true,
    canIncludeSubnodes: hasConceptChildren(node),
    currencyConfig: state.startup.config.currency
  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    onCloseModal: function onCloseModal() {
      return dispatch(deselectNode());
    },
    onUpdateLabel: function onUpdateLabel(label) {
      return dispatch(updateNodeLabel(label));
    },
    onDropConcept: function onDropConcept(concept) {
      return dispatch(addConceptToNode(concept));
    },
    onRemoveConcept: function onRemoveConcept(conceptId) {
      return dispatch(removeConceptFromNode(conceptId));
    },
    onToggleTable: function onToggleTable(tableIdx, isExcluded) {
      return dispatch(toggleTable(tableIdx, isExcluded));
    },
    onSetFilterValue: function onSetFilterValue(tableIdx, filterIdx, value, formattedValue) {
      return dispatch(setFilterValue(tableIdx, filterIdx, value, formattedValue));
    },
    onSwitchFilterMode: function onSwitchFilterMode(tableIdx, filterIdx, mode) {
      return dispatch(switchFilterMode(tableIdx, filterIdx, mode));
    },
    onResetAllFilters: function onResetAllFilters(andIdx, orIdx) {
      return dispatch(resetAllFilters(andIdx, orIdx));
    },
    onToggleTimestamps: function onToggleTimestamps(isExcluded) {
      return dispatch(toggleTimestamps(isExcluded));
    },
    onLoadFilterSuggestions: function onLoadFilterSuggestions(datasetId, tableIdx, tableId, conceptId, filterIdx, filterId, prefix) {
      return dispatch(loadFilterSuggestions(datasetId, tableIdx, tableId, conceptId, filterIdx, filterId, prefix));
    },
    onDropFiles: function onDropFiles() {
      return dispatch(_onDropFiles.apply(undefined, arguments));
    },
    onToggleIncludeSubnodes: function onToggleIncludeSubnodes(isIncludeSubNodes) {
      return dispatch(toggleIncludeSubnodes(isIncludeSubNodes));
    }
  };
};

var QueryNodeEditor = createConnectedQueryNodeEditor(mapStateToProps, mapDispatchToProps);

var _default = function _default(props) {
  return React.createElement(QueryNodeEditor, _extends({ type: 'standard' }, props));
};

export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(findNodeBeingEdited, 'findNodeBeingEdited', '/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/StandardQueryNodeEditor.js');
  reactHotLoader.register(mapStateToProps, 'mapStateToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/StandardQueryNodeEditor.js');
  reactHotLoader.register(mapDispatchToProps, 'mapDispatchToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/StandardQueryNodeEditor.js');
  reactHotLoader.register(QueryNodeEditor, 'QueryNodeEditor', '/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/StandardQueryNodeEditor.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/StandardQueryNodeEditor.js');
  leaveModule(module);
})();

;