var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import { connect } from 'react-redux';
import { Route, Switch } from 'react-router';

import { templates } from '../routes';

import { startupOnDataset as _startupOnDataset, startupOnQuery as _startupOnQuery, loadConfig } from './actions';

import StartupItem from './StartupItem';

var Startup = function Startup(props) {
  return React.createElement(
    Switch,
    null,
    React.createElement(Route, { exact: true, path: templates.toDataset,
      render: function render(routeProps) {
        return React.createElement(StartupItem, _extends({}, routeProps, {
          onStartup: function onStartup(_ref) {
            var datasetId = _ref.datasetId;
            return props.startupOnDataset(datasetId);
          }
        }));
      }
    }),
    React.createElement(Route, { exact: true, path: templates.toQuery,
      render: function render(routeProps) {
        return React.createElement(StartupItem, _extends({}, routeProps, {
          onStartup: function onStartup(_ref2) {
            var datasetId = _ref2.datasetId,
                queryId = _ref2.queryId;
            return props.startupOnQuery(datasetId, queryId);
          }
        }));
      }
    }),
    React.createElement(Route, { exact: true, path: '/*',
      render: function render(routeProps) {
        return React.createElement(StartupItem, _extends({}, routeProps, {
          onStartup: function onStartup() {
            return props.startupOnDataset(null);
          }
        }));
      }
    })
  );
};

var mapStateToProps = function mapStateToProps(state) {
  return {};
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    startupOnDataset: function startupOnDataset(datasetId) {
      dispatch(loadConfig());
      dispatch(_startupOnDataset(datasetId));
    },
    startupOnQuery: function startupOnQuery(datasetId, queryId) {
      return dispatch(_startupOnQuery(datasetId, queryId));
    }
  };
};

var _default = connect(mapStateToProps, mapDispatchToProps)(Startup);

export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(Startup, 'Startup', '/home/travis/build/bakdata/conquery/frontend/lib/js/startup/Startup.js');
  reactHotLoader.register(mapStateToProps, 'mapStateToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/startup/Startup.js');
  reactHotLoader.register(mapDispatchToProps, 'mapDispatchToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/startup/Startup.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/startup/Startup.js');
  leaveModule(module);
})();

;