(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import T from 'i18n-react';

import { InputWithLabel } from '../form-components';

var TimebasedConditionDayRange = function TimebasedConditionDayRange(props) {
  return React.createElement(
    'div',
    { className: 'timebased-condition__day-range-container' },
    React.createElement(
      'div',
      { className: 'timebased-condition__day-range' },
      props.minDays !== undefined && React.createElement(InputWithLabel, {
        inputType: 'number',
        input: {
          value: props.minDays,
          onChange: function onChange(value) {
            return props.onSetTimebasedConditionMinDays(value);
          }
        },
        inputProps: { min: 1, pattern: '^(?!-)\\d*$' },
        className: 'input-range__input-with-label',
        placeholder: T.translate('common.timeUnitDays'),
        label: T.translate('timebasedQueryEditor.minDaysLabel'),
        tinyLabel: true
      }),
      props.maxDays !== undefined && React.createElement(InputWithLabel, {
        inputType: 'number',
        input: {
          value: props.maxDays,
          onChange: function onChange(value) {
            return props.onSetTimebasedConditionMaxDays(value);
          }
        },
        inputProps: { min: 1, pattern: '^(?!-)\\d*$' },
        className: 'input-range__input-with-label',
        placeholder: T.translate('common.timeUnitDays'),
        label: T.translate('timebasedQueryEditor.maxDaysLabel'),
        tinyLabel: true
      })
    )
  );
};

var _default = TimebasedConditionDayRange;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(TimebasedConditionDayRange, 'TimebasedConditionDayRange', '/home/travis/build/bakdata/conquery/frontend/lib/js/timebased-query-editor/TimebasedConditionDayRange.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/timebased-query-editor/TimebasedConditionDayRange.js');
  leaveModule(module);
})();

;