var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import { connect } from 'react-redux';

import actions from '../app/actions';
import { QueryRunner } from '../query-runner';

import { allConditionsFilled } from './helpers';

var startTimebasedQuery = actions.startTimebasedQuery,
    stopTimebasedQuery = actions.stopTimebasedQuery;


function isButtonEnabled(state, ownProps) {
  return !!(ownProps.datasetId !== null && !state.panes.right.tabs.timebasedQueryEditor.timebasedQueryRunner.startQuery.loading && !state.panes.right.tabs.timebasedQueryEditor.timebasedQueryRunner.stopQuery.loading && allConditionsFilled(state.panes.right.tabs.timebasedQueryEditor.timebasedQuery));
}

var mapStateToProps = function mapStateToProps(state, ownProps) {
  return {
    queryRunner: state.panes.right.tabs.timebasedQueryEditor.timebasedQueryRunner,
    isButtonEnabled: isButtonEnabled(state, ownProps),
    isQueryRunning: !!state.panes.right.tabs.timebasedQueryEditor.timebasedQueryRunner.runningQuery,
    // Following ones only needed in dispatch functions
    queryId: state.panes.right.tabs.timebasedQueryEditor.timebasedQueryRunner.runningQuery,
    version: state.categoryTrees.version,
    query: state.panes.right.tabs.timebasedQueryEditor.timebasedQuery
  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    startQuery: function startQuery(datasetId, query, version) {
      return dispatch(startTimebasedQuery(datasetId, query, version));
    },
    stopQuery: function stopQuery(datasetId, queryId) {
      return dispatch(stopTimebasedQuery(datasetId, queryId));
    }
  };
};

var mergeProps = function mergeProps(stateProps, dispatchProps, ownProps) {
  return _extends({}, stateProps, dispatchProps, ownProps, {
    startQuery: function startQuery() {
      return dispatchProps.startQuery(ownProps.datasetId, stateProps.query, stateProps.version);
    },
    stopQuery: function stopQuery() {
      return dispatchProps.stopQuery(ownProps.datasetId, stateProps.queryId);
    }
  });
};

var _default = connect(mapStateToProps, mapDispatchToProps, mergeProps)(QueryRunner);

export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(startTimebasedQuery, 'startTimebasedQuery', '/home/travis/build/bakdata/conquery/frontend/lib/js/timebased-query-editor/TimebasedQueryRunner.js');
  reactHotLoader.register(stopTimebasedQuery, 'stopTimebasedQuery', '/home/travis/build/bakdata/conquery/frontend/lib/js/timebased-query-editor/TimebasedQueryRunner.js');
  reactHotLoader.register(isButtonEnabled, 'isButtonEnabled', '/home/travis/build/bakdata/conquery/frontend/lib/js/timebased-query-editor/TimebasedQueryRunner.js');
  reactHotLoader.register(mapStateToProps, 'mapStateToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/timebased-query-editor/TimebasedQueryRunner.js');
  reactHotLoader.register(mapDispatchToProps, 'mapDispatchToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/timebased-query-editor/TimebasedQueryRunner.js');
  reactHotLoader.register(mergeProps, 'mergeProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/timebased-query-editor/TimebasedQueryRunner.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/timebased-query-editor/TimebasedQueryRunner.js');
  leaveModule(module);
})();

;