var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';

import '../pane';
import { createQueryRunnerReducer } from '../query-runner';

import { default as timebasedQueryReducer } from './reducer';

import TimebasedQueryEditor from './TimebasedQueryEditor';
import TimebasedQueryClearButton from './TimebasedQueryClearButton';
import TimebasedQueryRunner from './TimebasedQueryRunner';

var timebasedQueryRunnerReducer = createQueryRunnerReducer('timebased');

var timebasedQueryEditorTabDescription = {
  key: 'timebasedQueryEditor',
  label: 'rightPane.timebasedQueryEditor',
  order: 100
};

export var TimebasedQueryEditorTab = {
  description: timebasedQueryEditorTabDescription,
  reducer: function reducer() {
    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : timebasedQueryEditorTabDescription;
    var action = arguments[1];
    return _extends({}, state, {
      timebasedQuery: timebasedQueryReducer(state.timebasedQuery, action),
      timebasedQueryRunner: timebasedQueryRunnerReducer(state.timebasedQueryRunner, action)
    });
  },
  component: function component(props) {
    return React.createElement(
      React.Fragment,
      null,
      React.createElement(TimebasedQueryClearButton, null),
      React.createElement(TimebasedQueryEditor, null),
      React.createElement(TimebasedQueryRunner, { datasetId: props.selectedDatasetId })
    );
  }
};

import * as _actions from './actions';
export { _actions as actions };
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(timebasedQueryRunnerReducer, 'timebasedQueryRunnerReducer', '/home/travis/build/bakdata/conquery/frontend/lib/js/timebased-query-editor/index.js');
  reactHotLoader.register(timebasedQueryEditorTabDescription, 'timebasedQueryEditorTabDescription', '/home/travis/build/bakdata/conquery/frontend/lib/js/timebased-query-editor/index.js');
  reactHotLoader.register(TimebasedQueryEditorTab, 'TimebasedQueryEditorTab', '/home/travis/build/bakdata/conquery/frontend/lib/js/timebased-query-editor/index.js');
  leaveModule(module);
})();

;