(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import PropTypes from 'prop-types';
import T from 'i18n-react';
import { connect } from 'react-redux';
import { IconButton } from '../button';
import { toggleDisplayTooltip as _toggleDisplayTooltip } from './actions';

var ActivateTooltip = function ActivateTooltip(props) {
  return React.createElement(
    'div',
    { className: 'tooltip tooltip--activate' },
    React.createElement(IconButton, {
      iconClassName: 'fa-angle-up',
      className: 'btn btn--transparent btn--tiny tooltip__btn tooltip__btn--show',
      onClick: props.toggleDisplayTooltip,
      label: T.translate('tooltip.show')
    })
  );
};

ActivateTooltip.propTypes = {
  toggleDisplayTooltip: PropTypes.func.isRequired
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    toggleDisplayTooltip: function toggleDisplayTooltip() {
      return dispatch(_toggleDisplayTooltip());
    }
  };
};

var _default = connect(function () {
  return {};
}, mapDispatchToProps)(ActivateTooltip);

export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(ActivateTooltip, 'ActivateTooltip', '/home/travis/build/bakdata/conquery/frontend/lib/js/tooltip/ActivateTooltip.js');
  reactHotLoader.register(mapDispatchToProps, 'mapDispatchToProps', '/home/travis/build/bakdata/conquery/frontend/lib/js/tooltip/ActivateTooltip.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/tooltip/ActivateTooltip.js');
  leaveModule(module);
})();

;