var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import { TOGGLE_DISPLAY_TOOLTIP, DISPLAY_ADDITIONAL_INFOS, TOGGLE_ADDITIONAL_INFOS } from './actionTypes';

var initialState = {
  displayTooltip: true,
  toggleAdditionInfos: false,
  additionalInfos: {
    label: null,
    description: null,
    matchingEntries: null,
    dateRange: null,
    infos: null
  }
};

var setAdditionalInfos = function setAdditionalInfos(state, action) {
  if (state.toggleAdditionInfos) return _extends({}, state);

  return _extends({}, state, {
    additionalInfos: action.payload && action.payload.additionalInfos || {
      label: null,
      description: null,
      matchingEntries: null,
      dateRange: null,
      infos: null
    }
  });
};

var tooltip = function tooltip() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments[1];

  switch (action.type) {
    case DISPLAY_ADDITIONAL_INFOS:
      return setAdditionalInfos(state, action);
    case TOGGLE_ADDITIONAL_INFOS:
      return _extends({}, state, {
        toggleAdditionInfos: !state.toggleAdditionInfos
      });
    case TOGGLE_DISPLAY_TOOLTIP:
      return _extends({}, state, {
        displayTooltip: !state.displayTooltip
      });
    default:
      return state;
  }
};

var _default = tooltip;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(initialState, 'initialState', '/home/travis/build/bakdata/conquery/frontend/lib/js/tooltip/reducer.js');
  reactHotLoader.register(setAdditionalInfos, 'setAdditionalInfos', '/home/travis/build/bakdata/conquery/frontend/lib/js/tooltip/reducer.js');
  reactHotLoader.register(tooltip, 'tooltip', '/home/travis/build/bakdata/conquery/frontend/lib/js/tooltip/reducer.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/tooltip/reducer.js');
  leaveModule(module);
})();

;