var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import '../common/types/backend';
import { stripFileName } from '../common/helpers';

import { UPLOAD_CONCEPT_LIST_MODAL_UPDATE_LABEL, SELECT_CONCEPT_ROOT_NODE, RESOLVE_CONCEPTS_START, RESOLVE_CONCEPTS_SUCCESS, RESOLVE_CONCEPTS_ERROR, UPLOAD_CONCEPT_LIST_MODAL_OPEN, UPLOAD_CONCEPT_LIST_MODAL_CLOSE, RESOLVE_FILTER_VALUES_SUCCESS, RESOLVE_FILTER_VALUES_ERROR } from './actionTypes';

var initialState = {
  isModalOpen: false,
  parameters: {},
  label: '',
  conceptCodesFromFile: [],
  selectedConceptRootNode: '',
  loading: false,
  resolved: {},
  error: null
};

var resolveFilterValuesSuccess = function resolveFilterValuesSuccess(state, action) {
  var _action$payload = action.payload,
      data = _action$payload.data,
      parameters = _action$payload.parameters;

  var hasUnresolvedCodes = data.unknownCodes && data.unknownCodes.length > 0;

  return _extends({}, state, {
    isModalOpen: hasUnresolvedCodes,
    showDetails: false,
    loading: false,
    label: stripFileName(parameters.fileName),
    resolved: data,
    parameters: parameters
  });
};

var uploadConcepts = function uploadConcepts() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments[1];

  switch (action.type) {
    case UPLOAD_CONCEPT_LIST_MODAL_OPEN:
      var _parameters = action.parameters;

      return _extends({}, state, {
        isModalOpen: true,
        label: stripFileName(_parameters.fileName),
        conceptCodesFromFile: _parameters.values,
        selectedConceptRootNode: null,
        resolved: null,
        parameters: _parameters
      });
    case UPLOAD_CONCEPT_LIST_MODAL_UPDATE_LABEL:
      return _extends({}, state, {
        label: action.label
      });
    case SELECT_CONCEPT_ROOT_NODE:
      return _extends({}, state, {
        selectedConceptRootNode: action.conceptId,
        resolved: null
      });
    case RESOLVE_CONCEPTS_START:
      return _extends({}, state, {
        loading: true,
        error: null
      });
    case RESOLVE_CONCEPTS_ERROR:
      return _extends({}, state, {
        loading: false,
        resolved: null,
        error: action.payload
      });
    case RESOLVE_CONCEPTS_SUCCESS:
      return _extends({}, state, {
        loading: false,
        error: null,
        resolved: action.payload.data
      });
    case RESOLVE_FILTER_VALUES_SUCCESS:
      return resolveFilterValuesSuccess(state, action);
    case RESOLVE_FILTER_VALUES_ERROR:
      return _extends({}, state, {
        loading: false,
        resolved: null,
        error: action.payload
      });
    case UPLOAD_CONCEPT_LIST_MODAL_CLOSE:
      return initialState;
    default:
      return state;
  }
};

var _default = uploadConcepts;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(initialState, 'initialState', '/home/travis/build/bakdata/conquery/frontend/lib/js/upload-concept-list-modal/reducer.js');
  reactHotLoader.register(resolveFilterValuesSuccess, 'resolveFilterValuesSuccess', '/home/travis/build/bakdata/conquery/frontend/lib/js/upload-concept-list-modal/reducer.js');
  reactHotLoader.register(uploadConcepts, 'uploadConcepts', '/home/travis/build/bakdata/conquery/frontend/lib/js/upload-concept-list-modal/reducer.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/upload-concept-list-modal/reducer.js');
  leaveModule(module);
})();

;